Bug 1806 - ambiguosity #1 in man smb.conf, inherit acls
ambiguosity #1 in man smb.conf, inherit acls
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Docs
3.0.6
All All
: P3 normal
: none
Assigned To: John H Terpstra
Samba Documentation QA Contact~
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-22 08:18 UTC by Clock
Modified: 2007-05-07 05:45 UTC (History)
0 users

See Also:


Attachments
proposed patch (912 bytes, patch)
2007-05-07 05:43 UTC, Karolin Seeger
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Clock 2004-09-22 08:18:23 UTC
man smb.conf, inherit acls, second sentence:
"This  parameter can be used to ensure that if default acls exist
              on parent directories, they are always honored when  creating  a
              subdirectory.  The _default_behavior_ is to use the mode specified
              when creating the directory."

the default behaviour of what? Of samba when inherit acls is set to
it's default value? Or default beahviour of UNIX in general?
Comment 1 Gerald (Jerry) Carter 2005-02-01 12:01:42 UTC
updating qa contact
Comment 2 Jelmer Vernooij 2005-09-24 04:21:06 UTC
reassigning doc bug to John 
Comment 3 Karolin Seeger 2007-05-07 05:43:15 UTC
Created attachment 2686 [details]
proposed patch
Comment 4 Karolin Seeger 2007-05-07 05:45:57 UTC
Yes, the default behavior of Samba when inherit acls is set to
it's default value (no).

I hope it is clearer with the attached patch (r1108).
Marking bug as closed.
Please reopen if it is still an issue.